package com.dcsoft.system.camera.service.impl;

import java.util.List;
import com.dcsoft.common.core.utils.DateUtils;
import com.dcsoft.system.camera.domain.TbCameraWarn;
import com.dcsoft.system.camera.mapper.TbCameraWarnMapper;
import com.dcsoft.system.camera.service.ITbCameraWarnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 视频预警Service业务层处理
 *
 * @author nichun
 * @date 2023-09-20
 */
@Service
public class TbCameraWarnServiceImpl implements ITbCameraWarnService
{
    @Autowired
    private TbCameraWarnMapper tbCameraWarnMapper;

    /**
     * 查询视频预警
     *
     * @param id 视频预警主键
     * @return 视频预警
     */
    @Override
    public TbCameraWarn selectTbCameraWarnById(Long id)
    {
        return tbCameraWarnMapper.selectTbCameraWarnById(id);
    }

    /**
     * 查询视频预警列表
     *
     * @param tbCameraWarn 视频预警
     * @return 视频预警
     */
    @Override
    public List<TbCameraWarn> selectTbCameraWarnList(TbCameraWarn tbCameraWarn)
    {
        return tbCameraWarnMapper.selectTbCameraWarnList(tbCameraWarn);
    }

    /**
     * 新增视频预警
     *
     * @param tbCameraWarn 视频预警
     * @return 结果
     */
    @Override
    public int insertTbCameraWarn(TbCameraWarn tbCameraWarn)
    {
        tbCameraWarn.setCreateTime(DateUtils.getNowDate());
        return tbCameraWarnMapper.insertTbCameraWarn(tbCameraWarn);
    }

    /**
     * 修改视频预警
     *
     * @param tbCameraWarn 视频预警
     * @return 结果
     */
    @Override
    public int updateTbCameraWarn(TbCameraWarn tbCameraWarn)
    {
        tbCameraWarn.setUpdateTime(DateUtils.getNowDate());
        return tbCameraWarnMapper.updateTbCameraWarn(tbCameraWarn);
    }

    /**
     * 批量删除视频预警
     *
     * @param ids 需要删除的视频预警主键
     * @return 结果
     */
    @Override
    public int deleteTbCameraWarnByIds(Long[] ids)
    {
        return tbCameraWarnMapper.deleteTbCameraWarnByIds(ids);
    }

    /**
     * 删除视频预警信息
     *
     * @param id 视频预警主键
     * @return 结果
     */
    @Override
    public int deleteTbCameraWarnById(Long id)
    {
        return tbCameraWarnMapper.deleteTbCameraWarnById(id);
    }
}
